from typing import List, Optional, TypedDict
from datetime import datetime


class VulnerabilityData:
	__slots__ = "id", "fix_versions", "severity"

	id: str
	fix_versions: List[str]
	severity: Optional[str]

	def __init__(self, id: str, fix_versions: List[str], severity: Optional[str]) -> None:
		self.id = id
		self.fix_versions = fix_versions
		self.severity = severity


class Record(TypedDict):
	updated_at: datetime
	data: VulnerabilityData
